import { Injector, PipeTransform, Type } from '@angular/core';
/**
 * This pipe allows the dynamic formatting of data. It is just for internal use.
 * The purpose is the forwarding of an externally defined pipe to the pipe formatter within the grid.
 */
export declare class FormatDataPipe implements PipeTransform {
    private injector;
    constructor(injector: Injector);
    transform(value: any, pipeToken: Type<PipeTransform>, pipeArgs: any[]): any;
}
